Subject: Re: [PATCH] reftable: honor core.fsync

From: Junio C Hamano <[email-masked]>
Date: Tue, 23 Jan 2024 13:50:04 -0800

Junio C Hamano <[email-masked]> writes:

> A comment and a half.
>
>  * Can't the new "how to flush" go to the write-option structure?
>    If you represent "no flush" as a NULL pointer in the flush member,
>    most of the changes to the _test files can go, no?

Nah, that was a stupid comment.  These are used to populate the
members of the reftable_writer instance being created, and it does
make sense to have flush_func immediately next to writer_func.

The part about using NULL as the value to say "do not use any flusher"
still stands, though.  You do not have to expose noop_flush into the
global namespace that way.

Thanks.